Bug 213721 - Use the workspace switcher is awkward with desktop effects on
Use the workspace switcher is awkward with desktop effects on
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: compiz (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kristian Høgsberg
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-02 13:25 EST by Brian G. Anderson
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 09:39:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brian G. Anderson 2006-11-02 13:25:33 EST
Description of problem:

One cannot use the workspace switcher applet in the lower panel to move windows.
 Without desktop effects one can left click on a thumbnail of a window in the
workspace switcher and drag it to another workspace; upon releasing the left
button the actual window will be moved to a new workspace.  With desktop effects
on one can drag the window, but it won't be moved.  

Furthermore, there is no "Move to Another Workspace..." option in the title bar
left-click options menu when desktop effects are on like there is when there are
no effects.  This means that the only way to move a window is to drag the window
over the edge and rotating the workspace cube.  This is very awkward if the
target workspace is more than one away.

I think that 4 and 5 might be 

Version-Release number of selected component (if applicable):
compiz-0.0.13-0.32.20060817git.fc6

How reproducible:
always

Steps to Reproduce:
1. enable desktop effects
2.
3.
  
Actual results:
moving a window using the workspace switcher doesn't work

Expected results:


Additional info:
Comment 1 Joshua Rosen 2006-11-25 08:46:29 EST
The workspace switcher has become unusable in FC6. I have desktop effects off,
in fact I've removed compiz and beryl from my system to see if the workspace
switcher would go back to working the way it did in FC5 and earlier, that didn't
help.

The problem is that selecting a window in the FC6 version of workspace switcher
causes the icon to expand in size so that it's much bigger than the workspace
windows, as a result it's very difficult to drag that icon into a different
workspace, sometimes it's impossible.

I have two suggestions to fix the workspace switcher,

1) The simplest thing is to return to the old version of the applet, it was
simple and useful.

2) If you really feel that you need to add useless eye candy then do it as
follows. a) Expand the icon when you first click on it. b) Then shrink it to a
small rectangle as soon as the mouse moves, it should be no more than half the
size of the individual workspace windows. By shrinking it down when you are
dragging it you'll make it easy to drop it into a workspace window. 
Comment 2 vfiend 2006-12-04 19:14:45 EST
The big dragging window icon issue is something that was added to upstream GNOME
in 2.16, I believe, so that's a seperate issue and should probably be reported
upstream.

Anyway, on the compiz + workspace switcher awkardness, compiz also breaks the
ability to use the mouse wheel over the workspace switcher and switch
workspaces. I think this is seperate from the "Compiz should have workspaces
instead of viewports" bug, because if the workspace switcher were patched to be
more aware of compiz these wouldn't be issues.
Comment 3 Matěj Cepl 2007-10-22 17:48:14 EDT
Since this bugzilla report was filed, there have been several updates, which may
have resolved this issue. Users who have experienced this problem are encouraged
to upgrade their system to the latest version of their distribution available.

Please, if you experience this problem on the up-to-date system, let us now in
the comment for this bug, or whether the upgraded system works for you.

If you won't be able to reply in one month, I will have to close this bug as
INSUFFICIENT_DATA. Thank you.
Comment 4 Matěj Cepl 2007-12-10 04:22:11 EST
Fedora Core 6 is no longer supported, could you please reproduce this with the
updated version of the currently supported distribution (Fedora 7, 8, or
Rawhide)? If this issue turns out to still be reproducible, please let us know
in this bug report. If after a month's time we have not heard back from you, we
will have to close this bug as CANTFIX.

Setting status to NEEDINFO, and awaiting information from the reporter.

[This is mass-filed message to all open Fedora Core 6 bugs related to Xorg or
Gecko. If you see any other reason, why this bug shouldn't be closed, please,
comment on it here.]
Comment 5 Matěj Cepl 2008-01-15 09:39:11 EST
Since there are insufficient details provided in this report for us to
investigate the issue further, and we have not received feedback to the
information we have requested above, we will assume the problem was not
reproducible, or has been fixed in one of the updates we have released for the
reporter's distribution.

Users who have experienced this problem are encouraged to upgrade to the latest
update of their distribution, and if this issue turns out to still be
reproducible in the latest update, please reopen this bug with additional
information.

Closing as INSUFFICIENT_DATA.

{This is mass-closing of all obsolete bugs; if this bug was in your opinion
closed by mistake, please, reopen it with additional information; thanks a lot
and I am sorry for bothering you in such case.}

Note You need to log in before you can comment on or make changes to this bug.